Package: org.codehaus.groovy.control.customizers.builder

## [Java] Class CustomizersFactory

- org.codehaus.groovy.control.customizers.builder.CustomizersFactory

- All Implemented Interfaces and Traits:
    PostCompletionFactory

      public class CustomizersFactory
      extends AbstractFactory

  This factory generates an array of compilation customizers.

  Authors:
    Cedric Champeau
  Since:
    2.1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `Object` | `postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)`
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### @SuppressWarnings("unchecked") public Object postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)

    - #### @Override @SuppressWarnings("unchecked") public void setChild(FactoryBuilderSupport builder, Object parent, Object child)